Class Fox::FXImageView

In: | FXImageView.rb
Parent: | FXScrollArea

The FXImageView widget displays a scrollable view of an image.

### Events

`SEL_RIGHTBUTTONPRESS`: | sent when the right mouse button goes down; the message data is an FXEvent instance.
`SEL_RIGHTBUTTONRELEASE`: | sent when the right mouse button goes up; the message data is an FXEvent instance.

### Message identifiers

`ID_XYZ`: | x

Methods

new

Attributes

image | [RW] | The image [FXImage]

Public Class methods

new(p, img=nil, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0) {|theImageView| ...}

Return an initialized FXImageView instance.